
public class Employee extends Person{
    String department;
    Person boss;

    public Employee(String name, String department){
        super(name);
        this.department = department;
    }
    
    public void assignBoss(Person boss){
        this.boss = boss;
    }
    
    public String toString(){
        
        String str = String.format("An employee named %s, working at the %s department", 
                             this.name, this.department);
        
        if (boss != null)
            str = String.format("%s, under %s", str, boss.name);
                             
        return str;
    }
}
